liborigin 2.0.0

Public Types | Public Attributes | List of all members
Origin::GraphAxis Struct Reference

`#include <OriginObj.h>`

## Public Types
enum | AxisPosition { Left = 0 , Bottom , Right , Top , Front , Back }
enum | Scale { Linear = 0 , Log10 = 1 , Probability = 2 , Probit = 3 , Reciprocal = 4 , OffsetReciprocal = 5 , Logit = 6 , Ln = 7 , Log2 = 8 }

## Public Attributes
GraphAxisFormat | formatAxis [2]
GraphGrid | majorGrid
unsigned char | majorTicks
double | max
double | min
GraphGrid | minorGrid
unsigned char | minorTicks
AxisPosition | position
unsigned char | scale
double | step
GraphAxisTick | tickAxis [2]

## Member Enumeration Documentation

## ◆ AxisPosition

enum Origin::GraphAxis::AxisPosition

Enumerator
Left |
Bottom |
Right |
Top |
Front |
Back |

## ◆ Scale

enum Origin::GraphAxis::Scale

Enumerator
Linear |
Log10 |
Probability |
Probit |
Reciprocal |
OffsetReciprocal |
Logit |
Ln |
Log2 |

## Member Data Documentation

## ◆ formatAxis

GraphAxisFormat Origin::GraphAxis::formatAxis[2]

Referenced by Origin750Parser::readGraphAxisInfo(), Origin750Parser::readGraphAxisPrefixSuffixInfo(), Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ majorGrid

GraphGrid Origin::GraphAxis::majorGrid

Referenced by Origin750Parser::readGraphAxisInfo().

## ◆ majorTicks

unsigned char Origin::GraphAxis::majorTicks

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ max

double Origin::GraphAxis::max

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ min

double Origin::GraphAxis::min

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ minorGrid

GraphGrid Origin::GraphAxis::minorGrid

Referenced by Origin750Parser::readGraphAxisInfo().

## ◆ minorTicks

unsigned char Origin::GraphAxis::minorTicks

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ position

AxisPosition Origin::GraphAxis::position

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ scale

unsigned char Origin::GraphAxis::scale

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ step

double Origin::GraphAxis::step

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ tickAxis

GraphAxisTick Origin::GraphAxis::tickAxis[2]

Referenced by Origin750Parser::readGraphAxisInfo().

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/OriginObj.h